@using DayZLegacy.Services
@using System.IO
@using Shared

<div class="d-flex w-100 m-2 align-items-center gap-20">
    <label class="system-text" for="inputFile">Change launcher background media</label>
    <InputFile id="inputFile" @key=@_inputFileKey OnChange="@HandleLauncherBackgroundChangedAsync"/>
</div>

@code {
    [Inject]
    private AlertService AlertService { get; set; } = default!;
    
    [Inject]
    private LauncherService LauncherService { get; set; } = default!;
    
    private string _inputFileKey = Guid.NewGuid().ToString();

    private async Task HandleLauncherBackgroundChangedAsync(InputFileChangeEventArgs inputFileChangeEventArgs)
    {
        Result result = await LauncherService.UpdateBackgroundAsync(inputFileChangeEventArgs.File);
        if (result.Error is not null)
        {
            AlertService.AddError(result.Error.Message);
            _inputFileKey = Guid.NewGuid().ToString();
        }
    }
}